<?php

namespace Drupal\latvia_auth_saml;

/**
 * The Saml settings factory interface.
 */
interface SamlSettingsInterface {

  /**
   * Returns Saml settings array.
   *
   * @param array $settings
   *   Override settings.
   *
   * @return array
   *   Settings array.
   */
  public function get(array $settings = []);

}
